<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Task 38.50</title>
</head>

<body>
    <div class="container">
        <h1>New Item App</h1>
        <input type="text" class="form-group submit-form" id="inp-items">
        <h2>Items:</h2>
        <ul >
            <li id="ul-items"></li>
        </ul>
        <button class="btn btn-primary btn-add">Add Item</button>
        <button class="btn btn-danger btn-clear">Clear All</button>
    </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    $(document).ready(function() {

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
        $(document).on("click", ".btn-add", function() {
            var vInputValue = $.trim($("#inp-items").val());
            localStorage.getItem("New item");
            localStorage.setItem("New item", vInputValue);
            $("#ul-items").html(vInputValue);

        });

        $(document).on("click", ".btn-clear", function () {
            localStorage.clear();
            $("#ul-items").html("");
        });
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */


    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
});

</script>

</html>